/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExecutedActionVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
 
package org.ow2.jasmine.monitoring.eos.purgetimer.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * This object is the result of an executed action.
 */ 
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.purgetimer.service.exchange.ExecuteAction")]
[Bindable]
public class ExecuteActionVO implements IValueObject
{
      
    /**
    * 
    */
   	private var maxEntryAgeObj : Number;

    public function set maxEntryAge(_date : Number) : void
    {
        this.maxEntryAgeObj = _date;
    }
     
    public function get maxEntryAge() : Number
    {
        return this.maxEntryAgeObj;
    }

    /**
    * 
    */
    private var maxEntryNumberObj : int;
    
    public function set maxEntryNumber(_maxEntryNumber : int) : void
    {
        this.maxEntryNumberObj = _maxEntryNumber;
    }
    
    public function get maxEntryNumber() : int
    {
        return this.maxEntryNumberObj;
    }


    /**
    * 
    */
    private var executionStartDateObj : Date;

    public function set executionStartDate(_date : Date) : void
    {
        this.executionStartDateObj = _date;
    }
    
    public function get executionStartDate() : Date
    {
        return this.executionStartDateObj;
    }
    
    /**
    * 
    */
    private var executionStartHoursObj : int;

    public function set executionStartHours(_date : int) : void
    {
        this.executionStartHoursObj = _date;
    }
    
    public function get executionStartHours() : int
    {
        return this.executionStartHoursObj;
    }

    /**
    * 
    */
    private var executionIntervalObj : int;

    public function set executionInterval(_executionInterval : int) : void
    {
        this.executionIntervalObj = _executionInterval;
    }
    
    public function get executionInterval() : int
    {
        return this.executionIntervalObj;
    }

    /**
    * 
    */
    private var immediateExecutionObj : Boolean;
    
	public function set immediateExecution(_immediateExecution : Boolean) : void
    {
        this.immediateExecutionObj = _immediateExecution;
    }
    
    public function get immediateExecution() : Boolean
    {
        return this.immediateExecutionObj;
    }
    


    /**
    * 
    */
    private var executeOnAllServersObj : Boolean;
    
	public function set executeOnAllServers(_executeOnAllServers : Boolean) : void
    {
        this.executeOnAllServersObj = _executeOnAllServers;
    }
    
    public function get executeOnAllServers() : Boolean
    {
        return this.executeOnAllServersObj;
    }


    /**
    * 
    */
    private var domainNameObj : String;
    
   	public function set domainName(_domainName : String) : void
    {
        this.domainNameObj = _domainName;
    }
    
    public function get domainName() : String
    {
        return this.domainNameObj;
    }


    /**
    * 
    */
    private var serverNameObj : String;
    
    public function set serverName(_serverName : String) : void
    {
        this.serverNameObj = _serverName;
    }
    
    public function get serverName() : String
    {
        return this.serverNameObj;
    }
    
}
}